Package org.apache.qpid.proton.codec

# Class ByteType.ByteEncoding

java.lang.Object
org.apache.qpid.proton.codec.ByteType.ByteEncoding

All Implemented Interfaces:
  `PrimitiveTypeEncoding<Byte>`, `TypeConstructor<Byte>`, `TypeEncoding<Byte>`

Enclosing class:
  ByteType

public class ByteType.ByteEncoding extends Object

## Constructor Summary

Constructors
Constructor
Description
`ByteEncoding(EncoderImpl encoder, DecoderImpl decoder)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`encodesJavaPrimitive()`
`boolean`
`encodesSuperset(TypeEncoding<Byte> encoding)`
`int`
`getConstructorSize()`
`protected DecoderImpl`
`getDecoder()`
`protected EncoderImpl`
`getEncoder()`
`byte`
`getEncodingCode()`
`protected int`
`getFixedSize()`
`ByteType`
`getType()`
`Class<Byte>`
`getTypeClass()`
`final int`
`getValueSize(Byte val)`
`final boolean`
`isFixedSizeVal()`
`byte`
`readPrimitiveValue()`
`Byte`
`readValue()`
`final void`
`skipValue()`
`void`
`write(byte val)`
`final void`
`writeConstructor()`
`void`
`writeValue(byte val)`
`void`
`writeValue(Byte val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ByteEncoding

public ByteEncoding(EncoderImpl encoder, DecoderImpl decoder)

## Method Details

### getFixedSize

protected int getFixedSize()

### getEncodingCode

public byte getEncodingCode()

Specified by:
  `getEncodingCode` in interface `PrimitiveTypeEncoding<Byte>`

### getType

public ByteType getType()

### writeValue

public void writeValue(Byte val)

### write

public void write(byte val)

### writeValue

public void writeValue(byte val)

### encodesSuperset

public boolean encodesSuperset(TypeEncoding<Byte> encoding)

### readValue

public Byte readValue()

### readPrimitiveValue

public byte readPrimitiveValue()

### encodesJavaPrimitive

public boolean encodesJavaPrimitive()

Specified by:
  `encodesJavaPrimitive` in interface `TypeConstructor<Byte>`
Specified by:
  `encodesJavaPrimitive` in interface `TypeEncoding<Byte>`

### isFixedSizeVal

public final boolean isFixedSizeVal()

### getValueSize

public final int getValueSize(Byte val)

### skipValue

public final void skipValue()

### writeConstructor

public final void writeConstructor()

Specified by:
  `writeConstructor` in interface `PrimitiveTypeEncoding<T>`
Specified by:
  `writeConstructor` in interface `TypeEncoding<T>`

### getConstructorSize

public int getConstructorSize()

Specified by:
  `getConstructorSize` in interface `PrimitiveTypeEncoding<T>`
Specified by:
  `getConstructorSize` in interface `TypeEncoding<T>`

### getEncoder

protected EncoderImpl getEncoder()

### getTypeClass

public Class<Byte> getTypeClass()

Specified by:
  `getTypeClass` in interface `TypeConstructor<T>`

### getDecoder

protected DecoderImpl getDecoder()